$(document).ready(function() {
    $("#frm_reservaCerrar").validate({
        rules: {
            txt_motivo: {
                required: true
            }
        },
        submitHandler: function(form) {

            guardarCerrarReserva();

        },
        highlight: function(element) {
            $(element).closest('div').addClass('has-error');
        },
        unhighlight: function(element) {
            $(element).closest('div').removeClass('has-error');
        },
        errorElement: 'span',
        errorClass: 'help-block'
    });

});

function guardarCerrarReserva() {
    $.ajax({
        type: 'post',
        url: 'gestionReservasCerrarGuardar-ajax.php',
        dataType: 'json',
        beforeSend: function() {
            //mostrar_blockUI();
        },
        async: false,
        data: $("#frm_reservaCerrar").serialize(),
        success: function(msg) {

            if (msg.success) {
                // Credenciales aceptadas
                cargarPuertas();
                $('#md_modal_cerrarReserva').modal('hide');
                $('#md_modal_mensaje_titulo').text('Guardar cierre de la reserva');
                $('#md_modal_mensaje_div_contenido').html(msg.mensaje);
                $('#md_modal_mensaje_cerrar').unbind()
                $('#md_modal_mensaje').modal('show');

            } else {

                $('#md_modal_cerrarReserva').modal('hide');
                $('#md_modal_mensaje_cerrar').unbind()
                $('#md_modal_mensaje_cerrar').click(mostrarCerrarReserva);
                $('#md_modal_mensaje_titulo').text('Guardar cierre de la reserva');
                $('#md_modal_mensaje_div_contenido').html(msg.mensaje);
                $('#md_modal_mensaje').modal('show');

            }
        },
        error: function(msg) {

            // Error en la llamada al archivo de autenticación
            alert('Error');
        },
        complete: function() {

            //ocultar_blockUI();

        }
    });

}

function mostrarCerrarReserva() {

    $('#md_modal_cerrarReserva').modal('show');
    $('#txt-motivo').focus();

}
